<definitions name="OrderManagementServiceWSService" targetNamespace="http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/" xmlns="http://schemas.xmlsoap.org/wsdl/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
 <types>
  <xs:schema targetNamespace="http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/" version="1.0" xmlns:tns="http://ws.external.push.adapter.billing.integration.iptv.oss.cti.ru/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
   <xs:element name="BillingException" type="tns:BillingException"/>
   <xs:element name="createOrder" type="tns:createOrder"/>
   <xs:element name="createOrderByOffering" type="tns:createOrderByOffering"/>
   <xs:element name="createOrderByOfferingResponse" type="tns:createOrderByOfferingResponse"/>
   <xs:element name="createOrderResponse" type="tns:createOrderResponse"/>
   <xs:element name="findActiveOrders" type="tns:findActiveOrders"/>
   <xs:element name="findActiveOrdersBySSAndAN" type="tns:findActiveOrdersBySSAndAN"/>
   <xs:element name="findActiveOrdersBySSAndANResponse" type="tns:findActiveOrdersBySSAndANResponse"/>
   <xs:element name="findActiveOrdersResponse" type="tns:findActiveOrdersResponse"/>
   <xs:element name="findOrders" type="tns:findOrders"/>
   <xs:element name="findOrdersBySAndAN" type="tns:findOrdersBySAndAN"/>
   <xs:element name="findOrdersBySAndANResponse" type="tns:findOrdersBySAndANResponse"/>
   <xs:element name="findOrdersResponse" type="tns:findOrdersResponse"/>
   <xs:element name="updateOrder" type="tns:updateOrder"/>
   <xs:element name="updateOrderResponse" type="tns:updateOrderResponse"/>
   <xs:complexType name="findActiveOrders">
    <xs:sequence>
     <xs:element minOccurs="0" name="arg0" type="tns:serviceSpecification"/>
     <xs:element minOccurs="0" name="arg1" type="xs:string"/>
     <xs:element name="arg2" type="xs:int"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="serviceSpecification">
    <xs:sequence>
     <xs:element minOccurs="0" name="description" type="xs:string"/>
     <xs:element minOccurs="0" name="id" type="xs:long"/>
     <xs:element minOccurs="0" name="name" type="xs:string"/>
     <xs:element name="status" type="xs:int"/>
     <xs:element minOccurs="0" name="type" type="xs:string"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="findActiveOrdersResponse">
    <xs:sequence>
     <xs:element maxOccurs="unbounded" minOccurs="0" name="return" type="tns:serviceOrder"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="serviceOrder">
    <xs:complexContent>
     <xs:extension base="tns:interaction">
      <xs:sequence>
       <xs:element minOccurs="0" name="price" type="tns:price"/>
       <xs:element minOccurs="0" name="service" type="tns:service"/>
       <xs:element minOccurs="0" name="type" type="tns:orderType"/>
      </xs:sequence>
     </xs:extension>
    </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="interaction">
    <xs:sequence>
     <xs:element minOccurs="0" name="accountNumber" type="xs:string"/>
     <xs:element minOccurs="0" name="date" type="xs:dateTime"/>
     <xs:element minOccurs="0" name="description" type="xs:string"/>
     <xs:element minOccurs="0" name="id" type="xs:long"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="price">
    <xs:complexContent>
     <xs:extension base="tns:interaction">
      <xs:sequence>
       <xs:element minOccurs="0" name="currency" type="xs:string"/>
       <xs:element minOccurs="0" name="value" type="xs:decimal"/>
      </xs:sequence>
     </xs:extension>
    </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="service">
    <xs:sequence>
     <xs:element name="additionalParameters">
      <xs:complexType>
       <xs:sequence>
        <xs:element maxOccurs="unbounded" minOccurs="0" name="entry">
         <xs:complexType>
          <xs:sequence>
           <xs:element minOccurs="0" name="key" type="xs:anyType"/>
           <xs:element minOccurs="0" name="value" type="xs:anyType"/>
          </xs:sequence>
         </xs:complexType>
        </xs:element>
       </xs:sequence>
      </xs:complexType>
     </xs:element>
     <xs:element minOccurs="0" name="description" type="xs:string"/>
     <xs:element minOccurs="0" name="id" type="xs:long"/>
     <xs:element minOccurs="0" name="name" type="xs:string"/>
     <xs:element minOccurs="0" name="resource" type="tns:resource"/>
     <xs:element minOccurs="0" name="serviceSpecification" type="tns:serviceSpecification"/>
     <xs:element minOccurs="0" name="validFor" type="tns:timeFrame"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="resource">
    <xs:sequence>
     <xs:element minOccurs="0" name="description" type="xs:string"/>
     <xs:element minOccurs="0" name="id" type="xs:long"/>
     <xs:element minOccurs="0" name="name" type="xs:string"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="timeFrame">
    <xs:sequence>
     <xs:element minOccurs="0" name="endTime" type="xs:dateTime"/>
     <xs:element minOccurs="0" name="startTime" type="xs:dateTime"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="orderType">
    <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="BillingException">
    <xs:sequence>
     <xs:element minOccurs="0" name="message" type="xs:string"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="findOrders">
    <xs:sequence>
     <xs:element minOccurs="0" name="arg0" type="tns:serviceSpecification"/>
     <xs:element minOccurs="0" name="arg1" type="xs:string"/>
     <xs:element name="arg2" type="xs:int"/>
     <xs:element minOccurs="0" name="arg3" type="tns:timeFrame"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="findOrdersResponse">
    <xs:sequence>
     <xs:element maxOccurs="unbounded" minOccurs="0" name="return" type="tns:serviceOrder"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateOrder">
    <xs:sequence>
     <xs:element minOccurs="0" name="arg0" type="tns:serviceOrder"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="updateOrderResponse">
    <xs:sequence>
     <xs:element minOccurs="0" name="return" type="tns:serviceOrder"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="createOrder">
    <xs:sequence>
     <xs:element minOccurs="0" name="arg0" type="tns:serviceOffering"/>
     <xs:element name="arg1" type="xs:int"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="serviceOffering">
    <xs:complexContent>
     <xs:extension base="tns:interaction">
      <xs:sequence>
       <xs:element minOccurs="0" name="price" type="tns:price"/>
       <xs:element minOccurs="0" name="service" type="tns:service"/>
      </xs:sequence>
     </xs:extension>
    </xs:complexContent>
   </xs:complexType>
   <xs:complexType name="createOrderResponse">
    <xs:sequence>
     <xs:element minOccurs="0" name="return" type="tns:serviceOrder"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="createOrderByOffering">
    <xs:sequence>
     <xs:element minOccurs="0" name="arg0" type="tns:serviceOffering"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="createOrderByOfferingResponse">
    <xs:sequence>
     <xs:element minOccurs="0" name="return" type="tns:serviceOrder"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="findActiveOrdersBySSAndAN">
    <xs:sequence>
     <xs:element minOccurs="0" name="arg0" type="tns:serviceSpecification"/>
     <xs:element minOccurs="0" name="arg1" type="xs:string"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="findActiveOrdersBySSAndANResponse">
    <xs:sequence>
     <xs:element maxOccurs="unbounded" minOccurs="0" name="return" type="tns:serviceOrder"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="findOrdersBySAndAN">
    <xs:sequence>
     <xs:element minOccurs="0" name="arg0" type="tns:serviceSpecification"/>
     <xs:element minOccurs="0" name="arg1" type="xs:string"/>
     <xs:element minOccurs="0" name="arg2" type="tns:timeFrame"/>
    </xs:sequence>
   </xs:complexType>
   <xs:complexType name="findOrdersBySAndANResponse">
    <xs:sequence>
     <xs:element maxOccurs="unbounded" minOccurs="0" name="return" type="tns:serviceOrder"/>
    </xs:sequence>
   </xs:complexType>
  </xs:schema>
 </types>
 <message name="OrderManagementServiceWS_findActiveOrdersBySSAndAN">
  <part element="tns:findActiveOrdersBySSAndAN" name="findActiveOrdersBySSAndAN"/>
 </message>
 <message name="OrderManagementServiceWS_findActiveOrdersBySSAndANResponse">
  <part element="tns:findActiveOrdersBySSAndANResponse" name="findActiveOrdersBySSAndANResponse"/>
 </message>
 <message name="OrderManagementServiceWS_updateOrder">
  <part element="tns:updateOrder" name="updateOrder"/>
 </message>
 <message name="OrderManagementServiceWS_findOrders">
  <part element="tns:findOrders" name="findOrders"/>
 </message>
 <message name="OrderManagementServiceWS_findOrdersBySAndANResponse">
  <part element="tns:findOrdersBySAndANResponse" name="findOrdersBySAndANResponse"/>
 </message>
 <message name="BillingException">
  <part element="tns:BillingException" name="BillingException"/>
 </message>
 <message name="OrderManagementServiceWS_findOrdersBySAndAN">
  <part element="tns:findOrdersBySAndAN" name="findOrdersBySAndAN"/>
 </message>
 <message name="OrderManagementServiceWS_createOrderByOfferingResponse">
  <part element="tns:createOrderByOfferingResponse" name="createOrderByOfferingResponse"/>
 </message>
 <message name="OrderManagementServiceWS_findOrdersResponse">
  <part element="tns:findOrdersResponse" name="findOrdersResponse"/>
 </message>
 <message name="OrderManagementServiceWS_createOrder">
  <part element="tns:createOrder" name="createOrder"/>
 </message>
 <message name="OrderManagementServiceWS_createOrderResponse">
  <part element="tns:createOrderResponse" name="createOrderResponse"/>
 </message>
 <message name="OrderManagementServiceWS_findActiveOrders">
  <part element="tns:findActiveOrders" name="findActiveOrders"/>
 </message>
 <message name="OrderManagementServiceWS_updateOrderResponse">
  <part element="tns:updateOrderResponse" name="updateOrderResponse"/>
 </message>
 <message name="OrderManagementServiceWS_createOrderByOffering">
  <part element="tns:createOrderByOffering" name="createOrderByOffering"/>
 </message>
 <message name="OrderManagementServiceWS_findActiveOrdersResponse">
  <part element="tns:findActiveOrdersResponse" name="findActiveOrdersResponse"/>
 </message>
 <portType name="OrderManagementServiceWS">
  <operation name="createOrder" parameterOrder="createOrder">
   <input message="tns:OrderManagementServiceWS_createOrder"/>
   <output message="tns:OrderManagementServiceWS_createOrderResponse"/>
   <fault message="tns:BillingException" name="BillingException"/>
  </operation>
  <operation name="createOrderByOffering" parameterOrder="createOrderByOffering">
   <input message="tns:OrderManagementServiceWS_createOrderByOffering"/>
   <output message="tns:OrderManagementServiceWS_createOrderByOfferingResponse"/>
   <fault message="tns:BillingException" name="BillingException"/>
  </operation>
  <operation name="findActiveOrders" parameterOrder="findActiveOrders">
   <input message="tns:OrderManagementServiceWS_findActiveOrders"/>
   <output message="tns:OrderManagementServiceWS_findActiveOrdersResponse"/>
   <fault message="tns:BillingException" name="BillingException"/>
  </operation>
  <operation name="findActiveOrdersBySSAndAN" parameterOrder="findActiveOrdersBySSAndAN">
   <input message="tns:OrderManagementServiceWS_findActiveOrdersBySSAndAN"/>
   <output message="tns:OrderManagementServiceWS_findActiveOrdersBySSAndANResponse"/>
   <fault message="tns:BillingException" name="BillingException"/>
  </operation>
  <operation name="findOrders" parameterOrder="findOrders">
   <input message="tns:OrderManagementServiceWS_findOrders"/>
   <output message="tns:OrderManagementServiceWS_findOrdersResponse"/>
   <fault message="tns:BillingException" name="BillingException"/>
  </operation>
  <operation name="findOrdersBySAndAN" parameterOrder="findOrdersBySAndAN">
   <input message="tns:OrderManagementServiceWS_findOrdersBySAndAN"/>
   <output message="tns:OrderManagementServiceWS_findOrdersBySAndANResponse"/>
   <fault message="tns:BillingException" name="BillingException"/>
  </operation>
  <operation name="updateOrder" parameterOrder="updateOrder">
   <input message="tns:OrderManagementServiceWS_updateOrder"/>
   <output message="tns:OrderManagementServiceWS_updateOrderResponse"/>
   <fault message="tns:BillingException" name="BillingException"/>
  </operation>
 </portType>
 <binding name="OrderManagementServiceWSBinding" type="tns:OrderManagementServiceWS">
  <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
  <operation name="createOrder">
   <soap:operation soapAction=""/>
   <input>
    <soap:body use="literal"/>
   </input>
   <output>
    <soap:body use="literal"/>
   </output>
   <fault name="BillingException">
    <soap:fault name="BillingException" use="literal"/>
   </fault>
  </operation>
  <operation name="createOrderByOffering">
   <soap:operation soapAction=""/>
   <input>
    <soap:body use="literal"/>
   </input>
   <output>
    <soap:body use="literal"/>
   </output>
   <fault name="BillingException">
    <soap:fault name="BillingException" use="literal"/>
   </fault>
  </operation>
  <operation name="findActiveOrders">
   <soap:operation soapAction=""/>
   <input>
    <soap:body use="literal"/>
   </input>
   <output>
    <soap:body use="literal"/>
   </output>
   <fault name="BillingException">
    <soap:fault name="BillingException" use="literal"/>
   </fault>
  </operation>
  <operation name="findActiveOrdersBySSAndAN">
   <soap:operation soapAction=""/>
   <input>
    <soap:body use="literal"/>
   </input>
   <output>
    <soap:body use="literal"/>
   </output>
   <fault name="BillingException">
    <soap:fault name="BillingException" use="literal"/>
   </fault>
  </operation>
  <operation name="findOrders">
   <soap:operation soapAction=""/>
   <input>
    <soap:body use="literal"/>
   </input>
   <output>
    <soap:body use="literal"/>
   </output>
   <fault name="BillingException">
    <soap:fault name="BillingException" use="literal"/>
   </fault>
  </operation>
  <operation name="findOrdersBySAndAN">
   <soap:operation soapAction=""/>
   <input>
    <soap:body use="literal"/>
   </input>
   <output>
    <soap:body use="literal"/>
   </output>
   <fault name="BillingException">
    <soap:fault name="BillingException" use="literal"/>
   </fault>
  </operation>
  <operation name="updateOrder">
   <soap:operation soapAction=""/>
   <input>
    <soap:body use="literal"/>
   </input>
   <output>
    <soap:body use="literal"/>
   </output>
   <fault name="BillingException">
    <soap:fault name="BillingException" use="literal"/>
   </fault>
  </operation>
 </binding>
 <service name="OrderManagementServiceWSService">
  <port binding="tns:OrderManagementServiceWSBinding" name="OrderManagementServiceWSPort">
   <soap:address location="http://82.199.96.130:8089"/>
  </port>
 </service>
</definitions>
